import {ChangeDetectionStrategy, Component} from '@angular/core';
import {Snippet} from '../../shared/code/snippet';
import {versions} from '../../../environments/versions';

@Component({
  templateUrl: './getting-started.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class GettingStartedPage {

  instructionsCollapsed = true;
  olderVersionsCollapsed = true;
  bsVersion = versions.bootstrap;

  schematics = Snippet({
    lang: 'bash',
    code: `ng add ngx-add-library`,
  });

  schematicsProject = Snippet({
    lang: 'bash',
    code: `ng add ngx-add-library --project myProject`,
  });

  bootstrapCss = Snippet({
    lang: 'css',
    code: `@import "~bootstrap/scss/bootstrap";`,
  });

  bootstrapCssAngularJson = Snippet({
    lang: 'typescript',
    code: `
      "yourApp": {
        "architect": {
          "build": {
            "options": {
              "styles": [
                "node_modules/bootstrap/dist/css/bootstrap.min.css"
              ]
            }
          }
        }
      }
    `,
  });

  bootstrapInstall = Snippet({
    lang: 'bash',
    code: `npm install bootstrap`,
  });

  codeInstall = Snippet({
    lang: 'bash',
    code: `npm install ngx-add-library`,
  });

  polyfillInstall = Snippet({
    lang: 'bash',
    code: `ng add @angular/localize`,
  });

  codeRoot = Snippet({
    lang: 'typescript',
    code: `
      import {NgbModule} from 'ngx-add-library';

      @NgModule({
        imports: [NgbModule],
      })
      export class YourAppModule {
      }
    `,
  });

  codeOther = Snippet({
    lang: 'typescript',
    code: `
      import {NgbPaginationModule, NgbAlertModule} from 'ngx-add-library';

      @NgModule({
        imports: [NgbPaginationModule, NgbAlertModule],
      })
      export class YourAppModule {
      }
    `,
  });
}
